Model MatchHelp

CRM

Cross-record task inbox for the caller's visible records

getapi.modelmatch.com/v1/crm/tasks/workspace

Authorization

x-api-keystringrequired

API key or OAuth token. See Authentication.

Query parameters

statusenum
Options:opencompletedcancelled
assigneestring

Restrict to one assignee; omit for anyone on my records.

Responses

200objectTasks on visible records, due-soonest first.
Show attributes
dataobject[]required
Show child attributes
allDaybooleanrequired
assigneeUserIdstringrequired
bodystring | nullrequired
calendarEventIdstring | nullrequired
calendarProviderenum | nullrequired
Options:googlemicrosoftnull
cancelledAtnumber | nullrequired
completedAtnumber | nullrequired
createdAtnumberrequired
createdByUserIdstringrequired
dueAtnumber | nullrequired
entityIdstringrequired
idstringrequired
listIdstring | nullrequired
statusenumrequired
Options:opencompletedcancelled
titlestringrequired
canDeletebooleanrequired
displayobjectrequired
Show child attributes
branchNamestring
branchNmlsIdstring
cbsaCodestring
citystring
companyNamestring
companyNmlsIdstring
contactCheckedAtnumber
countystring
countyFipsstring
locationstring
namestringrequired
statestring
subtitlestring
unitsnumber
volumenumber
zipstring
entityTypeenumrequired
Options:loagentcompanybranch
overridesobject
Show child attributes
officeobject
[key: string]string
recordNamestringrequired
recordSubtitlestring | nullrequired
400objectValidation error
401objectUnauthorized
403objectForbidden (authenticated, but missing required context — e.g. no active organization)
404objectNot found
413objectResponse payload too large — detail endpoint capped to fit Lambda response limits
503objectSearch timed out or the cluster is overloaded — retry after `Retry-After` seconds.